/*-*-C-*-*/

import sun.awt.image.*;
import java.awt.*;
import java.awt.Image;
import java.awt.image.*;
import java.io.*;

public class ImageLoader {
  Image image;
  MediaTracker tracker;

  public ImageLoader(String filename) {
    /**
     *  Thank you for help in loading non-cached images:
     *
     *  David Erb erb@dtack.com 
     *  http://www.dtack.com/shingle.html
     */
    FileImageSource source = new FileImageSource(filename);
    image = Toolkit.getDefaultToolkit().createImage(source);
    tracker.addImage(image, 0);
  }

  public Image prepare() {
    try {
      tracker.waitForAll();
    } catch (InterruptedException ex) {
      /*Toolkit.getDefaultToolkit().prepareImage(this.image, -1, -1, this);*/
      return null;
    }
    tracker.removeImage(image);
    return image;
  }
}
