import java.awt.Canvas;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Rectangle;

public class Sic extends Canvas {
  Image image;

  public Sic(Image img) {
    image = img;
  }
  
  public Dimension preferredSize() {
    Dimension retval = new Dimension(image.getWidth(this), 
				     image.getHeight(this));
    /*System.out.println("Sic.preferredSize:" + retval);*/
    return retval;
  }

  public void paint(Graphics g) {
    update(g);
  }

  public void update(Graphics g) {
    if (image != null) {
      int iwidth = image.getWidth(this);
      int iheight = image.getHeight(this);
      int x = Math.max(0, (getBounds().width - iwidth) / 2);
      /*int y = Math.max(0, (getBounds().height - iheight) / 2);*/
      int y = 0;

      g.drawImage(image, x, y, iwidth, iheight, this);
    }
  }
}
